Jump to content
The Dark Mod Forums

Graphical installers for tdm


freyk
 Share

Recommended Posts

Tested on my MacPro under OSX 10.9.5 and to begine with it worked as advertised, but I already have PlayOnMac installed along with Freyk's script - so when I ran this new app it updated the older theDarkmod.app.

 

So now when I launch it an select Darkmod, it nothing happens. Im guessing because it trying to use its own TDM folder which would be empty? if thats the case, what location exactly is it trying to download the files too..? as afetr looking for a while I wasen't able to locate it.

 

Also how does this launcher help a user's who don't have playOnMac installed? is it an alternative to POM entirely..?

 

And lastly with regard to the 'Author.txt' file. Its has everyone's email address's (a lot are personal) in there. I am fairly sure said members havent publicly posted those address, so may I request we remove them from that txt file and any other .txt files you have listed them in please.

Link to comment
Share on other sites

My apologies, I didn't tested the app inside the application folder.

Move this app to your home-folder, run it again, check if the launcher runs, run the updater and then run tdm.

(at the first time it load, it takes some seconds to initialize and run the launcher)

This fix solves the problem on my system.

(Maybe a write permissions error? i going to check this)

From the launcher you need first to start the updater to download the game files.

 

Every application in your applications folder, is a special folder with execution-permissions.

The gamefiles that the updater downloads will be saved in the tdm folder, inside the ap.

(for now, when using the fix above) in "/home/users/yourusername/thedarkmod.app/drive_c/games/darkmod/".

 

Wine-skin is a alternative for POM.

POM is an entire suite, that creates wine-containers using scripts.

This new tdm app is a .app-folder containing only the wine-container (with the tdm updater) and wine-skin files.

The user dont have to download other applications (like POM) anymore, because all needed files are inside this .app-folder.

 

It is not possible to create an wine-skin app for tdm-updater app, that download its files to the tdm app.

It is also not possible, to get a selection menu, when the user launch the app. (the user has to that mannualy, using the configapp inside this folder)

So i created the tdm launcher, to give the user the choice which application he/she want to run.

 

I changed the author-file, repackaged the dmg-file and uploaded it.

Edited by freyk

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

Ok, so let me see if I understand and please correct me if I am wrong -

 

- Your new mac auncher app removes the need for PlayOnMac entirely for those users that just want to install TDM with the minimum amount of effort? if So I will test again after removing P.O.M.

 

My other question is where did the launcher app download its copy of the TDM files too..?

Link to comment
Share on other sites

Yes, New mac users dont have to install POM (or other applications) to run this new TDM-app.

You can test this by removing POM (and the shortcuts / containers you created with it).

But POM is a easy method for new users to run windows applications.

 

Yes, for new users this is an easy method to install TDM,

because is the standard method for them to install applications (without using the app store).

 

The gamefiles that the tdm updater downloads, will be stored inside the tdm-app.

To show this content, command-click (or right-click) on the tdm-app > show contents > in the new window > drive_c > games > darkmod.

Edited by freyk

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

Ok will try a get around to testing that over the weekend.

 

On the subject of PoM, this would have added benefit of allowing users to run Darkradiant and any other x86 app.

 

And that make me think of something, does PoM support x64 applications..? I ask because Greebo/Orbweever will at some point stop making x86 versions of DR.

Link to comment
Share on other sites

  • 5 months later...

Does this installer cover the ia32 library dependency installation? (We have some Linux folks who are struggling with that over at Reddit.)

Please visit TDM's IndieDB site and help promote the mod:

 

http://www.indiedb.com/mods/the-dark-mod

 

(Yeah, shameless promotion... but traffic is traffic folks...)

Link to comment
Share on other sites

No, the RPM and DEB packages do not install dependencies packages.

(because i do not have the knowledge/experience to choose the needed packages)

Help will be appreciated.

 

So they have to install the needed packages manually.

Point them to the manual "Howto install tdm on ubuntu linux 64 bit manually", and the posts afther that.

 

 

where can i find the reddit post?

Edited by freyk

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

  • 1 year later...
Running TDM:

  • Go to your applications home folder
  • run thedarkmod.app
  • select in the tdm launcher "The dark mod" and hit close.
  • Wait for TDM to start.
  • end

This dosent to be working under OSX 10.12.6, you select The Darkmod and then click run and nothing happens. I had previous ran the updater and downloaded the full version of TDM as shown below -

 

post-496-0-42287200-1541783153_thumb.png

Edited by Bikerdude
Link to comment
Share on other sites

No, there isnt a full offline 2.05 package. (that i know of)

You have to install 2.05 by installing 2.00 and update mannually to 2.05.

 

Here is a small howto but you must not use the commands (or you have to change the commandlines to the location to the tdm folder in the.app.)
http://forums.thedarkmod.com/topic/19683-mac-problems-launching-tdm/?do=findComment&comment=428698

Edited by freyk

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

  • 4 weeks later...

No, there isnt a full offline 2.05 package. (that i know of)

You have to install 2.05 by installing 2.00 and update mannually to 2.05.

I have put full TDM 2.05 distribution at this address: http://tdmcdn.azureedge.net/release205/.

I guess I will write instructions about how to use it at some moment after 2.07 beta starts.

 

I have a question about installer.

Is it enough to put a download link for the installer on the website?

In other words, I think it is not necessary to change the packaging process, right?

Link to comment
Share on other sites

Do you mean version 26 november (and later)?

 

if Yes, you can put that installer zip file next to the updater zipfile. The installer downloads the updater from the website.

But its cleaner to put that installer, only one time inside the updater zipfile. The installer uses the updater next to it or it downloads the updater from the website.

(-> so change that packaging process)

If No, the old installer for windows (on moddb) can be used inside the updater zip,

but then you need to recompile the installer when there is a new version of the updater.

Edited by freyk

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

  • 2 years later...

Just so you're aware, I recently tried to install on a Windows computer using @freyk's installer and it gave an error during update after install, so I ended up with a halfdone install. I think this is because the way of install and update TDM has changed since TDM 2.09. The installer isn't really necesarry anymore since the new installer is more user friendly, but the link to Freyk’s Unofficial Installer is still listed on the main website . You don't have to help me with anything, I just report the issue.

Link to comment
Share on other sites

Quote

I think this is because the way of install and update TDM has changed since TDM 2.09. The installer isn't really necesarry anymore since the new installer is more user friendly, but the link to Freyk’s Unofficial Installer is still listed on the main website . You don't have to help me with anything, I just report the issue.

I don't think tdm_installer is more user-friendly than tdm_update. Aside from a new button for adding icon, I think it gives the same experience.
For instance, it does not mess with user permissions (only warns about trying to do something wrong --- just like the very latest incarnations of tdm_update).

Yes, Freyk’s Unofficial Installer should be updated to use tdm_installer instead of tdm_update, or it should be removed from website.

P.S. @freyk, I'm really sorry to create a name collision between two installers!
I tried to take a name different from "tdm_update" to avoid confusion, but collided with your installer as the result 😞

  • Like 1
Link to comment
Share on other sites

Posted (edited)

This installation error is not during the part of the installer, but at the old updater, as you mentioned, datiswous. But to keep my installer current, I will update it so it uses the new TDM's installer for the gamefiles download procedure.


Because my installer only create the gamefolder, everywhere the user want it (or windows standards wants it).
And set the folder write permissions, like the Doom 3 installer also did (and others installation applications do).
And adding shortcuts, uninstaller and other "default" things, that a installer in windows would do. And still the current TDM installer doesn't do.
And finally start the TDM installer automatically to download the game-files.

After two years It is nice to see, that other packers create TDM installation packages for their Operating systems (or distributions).
But i see that most of them, dont install TDM correctly for their users (like not downloading all the game files, set write permissions and other things)
The users who uses these installers, post their technical installation problems on our technical support subforum.

P.s @stgatilov
IMHO I still see TDM's installer as the TDM updater.
(now it has a feature to download other versions and create one single shortcut)

Edited by freyk
  • Like 1

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

11 hours ago, datiswous said:

The installer isn't really necesarry anymore since the new installer is more user friendly

I am sorry that I wrote this although I don't really have any experience with installing before 2.09, so it is not correct to make these assumptions. To me Freyk's installer seemed similar in operation to the official one, but I was wrong I guess.

Link to comment
Share on other sites

Posted (edited)

@datiswous@stgatilov
Today I updated my installer and the publisched sourcecode at Github.
You can see the sourcecode at my github repo.
And download and test the executable from there (use "download" button on that github page)

We have to upload my installer and change the description of my installer at the downloadpage of TDM.
(To someone who can do this: just download the binary from github, upload it and change the description at TDM downloadpage.)

Note:
This installer only prepares the gamefolder and sets permissions/shortcuts/uninstaller.
The official tdm installer will be automatically downloaded & started to download the gamefiles.
This installer can be used to avoid some beginners problems. (see these problems at tdm tech support forum)


changes/update

  • It uses now the official TDM installer (downloads the recent tdminstaller. As backup it can use version 27-5)
  • i removed my version-downloader feature, because TDM installer has one inside.
  • Made some components optional.
  • Changed some texts and labels.

 

Edited by freyk
  • Like 3

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

On 6/5/2021 at 8:12 PM, freyk said:

Today I updated my installer and the publisched sourcecode at Github.

I have done some proofreading: https://github.com/freyk22/tdminstallerwin/pull/1

Also, the following things went to my mind when I tested it:

  1. The option to "install OpenAL". First of all, it has absolutely no effect on TDM. Second, it installs some "OpenAL" from Creative website, which is a good way to get problems if user accidentally has Creative hardware. I think this option should be removed/hidden completely.
  2. The option to "install VC redistributable": it is not needed now. Of course, this thing won't do any harm (and every program does it today). However, now its description says "This installs required visual studio files", which is wrong.
  3. Your installer has its own LICENSE file and displays to the user. It is outdated and much shorter than it should be. Of course, official installer does not even show the license to the user... but I think it you show it, you should show the correct one.
  4. The installer shows that TDM will take 1.8 MB of space, which is... a bit underestimating 😁 That's not a big problem of course. Maybe it's better to show some rough estimate (e.g. I wrote 4-6 GB in the wiki article) ? Or simply hide this "space required" if NSIS allows that?
  5. I used my old VM for testing, with 32-bit Windows 7. Everything installed OK, but the desktop icon points to TheDarkMod.exe, which does not exist, because 32-bit TDM is deprecated now and such executables are provided in separate download. First of all, I think user with 64-bit OS should only get one icon to 64-bit TDM. Second, I think something should be done for the case of 32-bit OS too... blocking install or displaying a warning maybe.

 

Link to comment
Share on other sites

Posted (edited)

Thanks for the code updates.
Yes, please build and publish that installer yourself,
because I don't have the time yet to view and merge the code changes.
(When I know how to do this on github)

When I look at the commit summaries,
I almost fully agree with your two commit summaries.

But please don't remove the updater, because that is your TDM installer v27-5 that is used as the backup, when the installer fails to download the newest one. 
I forgot to rename that file and change it in the code.  

Edited by freyk

Info: My portfolio and darkmod graphical installer
Amnesty for Bikerdude!

Link to comment
Share on other sites

7 hours ago, freyk said:

But please dont remove the updater, because that is your tdm installer v27-5 that is used as the backup, when the installer fails to download the newest one. I forgot to rename that file and change it in the code.  

I only removed tdm_update.exe, but I did not remove tdm_installer_old.exe --- this one is used now, according to the code.
Moreover, the TDM_installer_by_freyk.exe binary that you built does not include it, as seen from its size.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recent Status Updates

    • freyk

      Some years earlier i created some launchers for TDM. uploaded today some new sourcecode and executables on my github repo.
       
      · 0 replies
    • Epifire

      Say, I know it's been a while since the site got overhauled from the crash. But did we ever figure out if/how to get the recent topics & replies list back? It's not a total deal breaker but it was nice for becoming a thread creeper again...


      · 2 replies
    • Epifire

      Some of you who've been on the TDM discord know I was out of work last Winter, just putting in hrs for the developer portfolio. Currently I've been working a seasonal job to pay the bills and now I'm finally in my last week before I get bumped off. Things will be tight but I'm planning a long off period to make as much content as I can. Big plans in Unreal Engine as well as my most ambitious TDM collab yet! Never been so excited to be a stuck at home to pursue my life's work. With a lotta time and maybe some luck, I'm hoping to get enough art work done that I may start applying around to studios.
      · 4 replies
    • STiFU

      I finally got around to play Prey and I truly loved it. It is an incredible homage to System Shock and Deus Ex. While the gameplay is not en par with those two titles, the game makes up for that with its well written lore and story. The whole "world" just feells so authentic and it features a ton of really god environmental story-telling. Recommended for every immersive sim fan, i.e., everyone on this forum.
      · 2 replies
    • jaxa

      Alder Lake has arrived:
      https://forums.thedarkmod.com/index.php?/topic/18055-2016-cpugpu-news/page/15/&tab=comments#comment-466190
       
      · 0 replies
×
×
  • Create New...